<?php

class IptablesExtractor {
    private $dIpIn;
    private $dIpOut;
    private $ipIn;
    private $ipOut;

    private $date;
    private $chain;    

    function __construct() {        
        $this->date = date('Y-m-d');
    }

    private function splitStr($str) {
        return preg_split("/\s+/", $str, -1, PREG_SPLIT_NO_EMPTY);
    }

    private function splitIptables() {
        unset($this->dIpIn);
        unset($this->dIpOut);        
        $data = shell_exec('iptables -t mangle -nvxL '.$this->chain.' -Z | grep RETURN');        
        $strs = explode("\n", $data);
        foreach ($strs as $str) {
            $values = $this->splitStr($str);
            if(count($values) == 9) {
                if($values[7] == '0.0.0.0/0' && $values[8] != '0.0.0.0/0') {//input
                    $this->dIpIn[$values[8]] = $values[1];
                } else if($values[8] == '0.0.0.0/0' && $values[7] != '0.0.0.0/0') { //output
                    $this->dIpOut[$values[7]] = $values[1];
                }
            }
        }
    }

    private function splitIptablesR($rChain) {
        $data = shell_exec('iptables -t mangle -nvxL '.$rChain.' -Z | grep 0.0.0.0/0');
        $values = $this->splitStr($data);
        return $values[1];
    }

    private function splitBilling() {
        unset($this->ipIn);
        unset($this->ipOut);
        $handle = fopen("billing/".$this->chain."/".$this->date, "r");
        if($handle) {
            while (($str = fgets($handle)) !== false) {                
                $values = $this->splitStr($str);
                $this->ipIn[$values[0]] = $values[1];
                $this->ipOut[$values[0]] = $values[2];
            }
            fclose($handle);
        }
    }

    private function splitBillingR() {
        $routerTraf = array("0", "0", "0", "0");
        $handle = fopen("billing/".$this->chain."/".$this->date, "r");        
        if($handle) {
            if (($str = fgets($handle)) !== false) {
                $routerTraf = $this->splitStr($str);
            }
            fclose($handle);
        }
        return $routerTraf;
    }

    private function saveRouter(){
        $d[0] = $this->splitIptablesR("r_world_input");
        $d[1] = $this->splitIptablesR("r_world_output");
        $d[2] = $this->splitIptablesR("r_city_input");
        $d[3] = $this->splitIptablesR("r_city_output");
        $router = $this->splitBillingR();
        $content = '';
        for ($i = 0; $i < 4; $i++) {
            $content .= bcadd($router[$i], $d[$i])." ";
        }
        $content .= "$d[0] $d[1] $d[2] $d[3]";
        file_put_contents("billing/".$this->chain."/".$this->date, $content);
    }

    public function save($chain) {
        $this->chain = $chain;
        if ($chain == "router") {
            $this->saveRouter();
           return;
        }
        $this->splitIptables();
        $this->splitBilling();

        foreach ($this->dIpIn as $ip => $dIn) {
            if (isset ($this->ipIn[$ip])) {
                $this->ipIn[$ip] = bcadd($this->ipIn[$ip], $dIn);
            } else {
                $this->ipIn[$ip] = $dIn;
            }

            if (isset ($this->ipOut[$ip])) {                
                $this->ipOut[$ip] = bcadd($this->ipOut[$ip], $this->dIpOut[$ip]);
            } else {
                $this->ipOut[$ip] = $this->dIpOut[$ip];
            }
        }

        $content = '';
        foreach ($this->ipIn as $ip => $in) {
            $content .= "$ip $in ".$this->ipOut[$ip]." ".$this->dIpIn[$ip]." ".$this->dIpOut[$ip]."\n";
        }
        file_put_contents("billing/".$this->chain."/".$this->date, $content);
    }    
}

?>
