<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Статистика</title>
    <style type="text/css">
        html, body {
            color:#776157;
            font-family:Tahoma,sans-serif;
            font-size:24px;
        }

        .statistic {
            border-bottom:1px solid #808080;
            border-top:1px solid #808080;
            color:#000000;
            font-family:Verdana;
            font-size:12px;
            width:100%;
            text-align:center;
        }

        .line0 {
            background-color:#778899;
            /*font-weight: bold;
            color:#FF4500;*/
        }
        .line1 {
            background-color:#F4F4F4;
        }
        .line2 {
            background-color:#FFFFFF;
        }
        .line3 {
            background-color:#DDDDDD;
        }
        .line4 {
            background-color:#9DB0B7;
        }

        .column0 {
           background-color: #ECECEC;
        }

        .column1 {
           background-color: #c0c0c0;
        }
    </style>
</head>
<body>
    <table class="statistic">
        <tr class="line0">
            <td>User</td>
            <td>Input World(MB)</td>
            <td>Output World(MB)</td>
            <td>Input+Output World(MB)</td>
            <td>Input City(MB)</td>
            <td>Output City(MB)</td>
            <td>Input+Output City(MB)</td>
        </tr>
        <?php
        $line = false;

        function getTrClass(&$line) {
            $line =! $line;
            return $line ? 'line1':'line2';
        }

        include_once("FileExtractor.php");

        $fe = new FileExtractor();
        $trafByDay = $fe->getUserTrafByDay($totalDay, $totalIP);
        $routerInfo = $fe->getRouterInfo($rTotal);

        foreach ($trafByDay as $day => $info) {
            ?>
            <tr class="line0">
                <td colspan=7><?php echo $day; ?></td>
            </tr>
            <?php
            foreach ($info as $ip => $info1) {                
                $lineValue = getTrClass($line);
                ?>
                <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
                    <td class="column1"><?php echo $fe->getUserName($ip) ?></td>
                    <td><?php echo bcdiv($info1['win'], '1048576', 2); ?></td>
                    <td><?php echo bcdiv($info1['wout'], '1048576', 2); ?></td>
                    <td class="column0"><?php echo bcdiv(bcadd($info1['win'], $info1['wout']), '1048576', 2); ?></td>
                    <td><?php echo bcdiv($info1['cin'], '1048576', 2); ?></td>
                    <td><?php echo bcdiv($info1['cout'], '1048576', 2); ?></td>
                    <td class="column0"><?php echo bcdiv(bcadd($info1['cin'], $info1['cout']), '1048576', 2); ?></td>
                </tr>
                <?php
            }
            $lineValue = getTrClass($line);
            ?>
            <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
                <td class="column1">Router</td>
                <td><?php echo bcdiv($routerInfo[$day]['win'], '1048576', 2); ?></td>
                <td><?php echo bcdiv($routerInfo[$day]['wout'], '1048576', 2); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($routerInfo[$day]['wout'], $routerInfo[$day]['win']), '1048576', 2); ?></td>
                <td><?php echo bcdiv($routerInfo[$day]['cin'], '1048576', 2); ?></td>
                <td><?php echo bcdiv($routerInfo[$day]['cout'], '1048576', 2); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($routerInfo[$day]['cout'], $routerInfo[$day]['cin']), '1048576', 2); ?></td>
            </tr>
            <tr class="line4" onmouseover="this.className='line3';" onmouseout="this.className='line4';" >
                <td class="line4">Day traffic</td>
                <?php
                $dayWin = bcadd($totalDay[$day]['win'], $routerInfo[$day]['win']);
                $dayWout = bcadd($totalDay[$day]['wout'], $routerInfo[$day]['wout']);
                $dayCin = bcadd($totalDay[$day]['cin'], $routerInfo[$day]['cin']);
                $dayCout = bcadd($totalDay[$day]['cout'], $routerInfo[$day]['cout']);
                ?>
                <td><?php echo bcdiv($dayWin, '1048576', 2); ?></td>
                <td><?php echo bcdiv($dayWout, '1048576', 2); ?></td>
                <td><?php echo bcdiv(bcadd($dayWin, $dayWout), '1048576', 2); ?></td>
                <td><?php echo bcdiv($dayCin, '1048576', 2); ?></td>
                <td><?php echo bcdiv($dayCout, '1048576', 2); ?></td>
                <td><?php echo bcdiv(bcadd($dayCin, $dayCout), '1048576', 2); ?></td>
            </tr>
            <?php
        }
        ?>
            
        <tr class="line0">
            <td colspan=7>DELTA</td>
        </tr>
        <?php
        $cityInfo = $fe->getDayTraffic('city');
        $worldInfo = $fe->getDayTraffic('world');

        foreach ($worldInfo as $ip => $value) {
            $lineValue = getTrClass($line);
            ?>
            <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
                <td class="column1"><?php echo $fe->getUserName($ip) ?></td>
                <td><?php echo bcdiv($value['din'], '1048576', 2); ?></td>
                <td><?php echo bcdiv($value['dout'], '1048576', 2); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($value['din'], $value['dout']), '1048576', 2); ?></td>
                <td><?php echo bcdiv($cityInfo[$ip]['din'], '1048576', 2); ?></td>
                <td><?php echo bcdiv($cityInfo[$ip]['dout'], '1048576', 2); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($cityInfo[$ip]['din'], $cityInfo[$ip]['dout']), '1048576', 2); ?></td>
            </tr>
            <?php
        }
        $lineValue = getTrClass($line);
        $day = date('Y-m-d');
        ?>
        <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
            <td class="column1">Router</td>
            <td><?php echo bcdiv($routerInfo[$day]['dwin'], '1048576', 2); ?></td>
            <td><?php echo bcdiv($routerInfo[$day]['dwout'], '1048576', 2); ?></td>
            <td class="column0"><?php echo bcdiv(bcadd($routerInfo[$day]['dwout'], $routerInfo[$day]['dwin']), '1048576', 2); ?></td>
            <td><?php echo bcdiv($routerInfo[$day]['dcin'], '1048576', 2); ?></td>
            <td><?php echo bcdiv($routerInfo[$day]['dcout'], '1048576', 2); ?></td>
            <td class="column0"><?php echo bcdiv(bcadd($routerInfo[$day]['dcout'], $routerInfo[$day]['dcin']), '1048576', 2); ?></td>
        </tr>
        <tr class="line0">
            <td colspan=7>TOTAL</td>
        </tr>
        <?php
        $total['win'] = '0';
        $total['wout'] = '0';
        $total['cin'] = '0';
        $total['cout'] = '0';
        foreach ($totalIP as $ip => $value) {
            $lineValue = getTrClass($line);
            ?>
            <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
                <td class="column1"><?php echo $fe->getUserName($ip) ?></td>
                <td><?php echo bcdiv($value['win'], '1048576', 2); $total['win'] = bcadd($total['win'], $value['win']); ?></td>
                <td><?php echo bcdiv($value['wout'], '1048576', 2); $total['wout'] = bcadd($total['wout'], $value['wout']); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($value['win'], $value['wout']), '1048576', 2); ?></td>
                <td><?php echo bcdiv($value['cin'], '1048576', 2); $total['cin'] = bcadd($total['cin'], $value['cin']); ?></td>
                <td><?php echo bcdiv($value['cout'], '1048576', 2); $total['cout'] = bcadd($total['cout'], $value['cout']); ?></td>
                <td class="column0"><?php echo bcdiv(bcadd($value['cin'], $value['cout']), '1048576', 2); ?></td>
            </tr>
            <?php
        }
        $lineValue = getTrClass($line);
        ?>
        <tr class="<?php echo $lineValue; ?>" onmouseover="this.className='line3';" onmouseout="this.className='<?php echo $lineValue; ?>';" >
            <td class="column1">Router</td>
            <td><?php echo bcdiv($rTotal['win'], '1048576', 2); $total['win'] = bcadd($total['win'], $rTotal['win']); ?></td>
            <td><?php echo bcdiv($rTotal['wout'], '1048576', 2); $total['wout'] = bcadd($total['wout'], $rTotal['wout']); ?></td>
            <td class="column0"><?php echo bcdiv(bcadd($rTotal['wout'], $rTotal['win']), '1048576', 2); ?></td>
            <td><?php echo bcdiv($rTotal['cin'], '1048576', 2); $total['cin'] = bcadd($total['cin'], $rTotal['cin']); ?></td>
            <td><?php echo bcdiv($rTotal['cout'], '1048576', 2); $total['cout'] = bcadd($total['cout'], $rTotal['cout']); ?></td>
            <td class="column0"><?php echo bcdiv(bcadd($rTotal['cout'], $rTotal['cin']), '1048576', 2); ?></td>
        </tr>
        <tr class="line0" >
            <td>TOTAL</td>
            <td><?php echo bcdiv($total['win'], '1048576', 2); ?></td>
            <td><?php echo bcdiv($total['wout'], '1048576', 2); ?></td>
            <td><?php echo bcdiv(bcadd($total['wout'], $total['win']), '1048576', 2); ?></td>
            <td><?php echo bcdiv($total['cin'], '1048576', 2); ?></td>
            <td><?php echo bcdiv($total['cout'], '1048576', 2); ?></td>
            <td><?php echo bcdiv(bcadd($total['cout'], $total['cin']), '1048576', 2); ?></td>
        </tr>
    </table>
</body>
</html>